def meth(a, b=(flag=true; 345))
  puts "b is #{b} and flag is #{flag.inspect}"
end
meth(123)        # b is 345 and flag is true
meth(123,345)    # b is 345 and flag is nil
meth(123,456)    # b is 456 and flag is nil

